Subject: Re: [PATCH] svnimport add support for parsing From lines for author

From: Andy Whitcroft <[email-masked]>
Date: Tue, 26 Sep 2006 08:51:45 +0100

Junio C Hamano wrote:
> Andy Whitcroft <[email-masked]> writes:
> 
>> svnimport: add support for parsing From: lines for author
> 
> Please do _not_ repeat the summary line in the message body.  It
> is on the Subject: already.

Sorry ... different projects different rules.

>> Now that we have support for parsing Signed-off-by: for author
>> information it makes sense to handle From: as well.
> 
> I take that you are referring to Sasha's change in ae35b304; I
> asked for actual svn users for ACK/NACK but I did not hear any.
> Can I understand that you use svnimport for real projects and
> are happy with Sasha's change? --- that would be an ack that
> would help me sleep better ;-).

Heh.  Yeah I am tracking a small SVN repository which is using the
kernel DCO.  we have From:/S-o-b: much as akpm uses in -mm.  This was
the result of seeing that change and wanting to see if it would pick up
our sign-offs.  It only seemed deficient in From: handling :).  It seems
to work well in practice for me.

> 
>> adds a new -F which will handle From: lines in the comments.  It
>> may be used in combination with -S.
> 
> This sort of makes sense but how common is this?

I think the kernel DCO has started a trend which will expand to other
projects.  The problem it is intended to fix is a general one which
needs addressing in all such projects.

> I also wonder instead of piling up custom flags if it is better
> to let match-and-extract pattern be specified from the command
> line.

I did look at reusing the -S flag, such that -S would be S-o-b: handling
and -SS would be S-o-b: and From:, but this script is currently using
the old getopt implementation which doesn't record repeats.

So you're proposing something more like:

    git svn-import -S "Signed-off-by:" -S "From:" ...

Again, we'll have to update the options handling to get that kind of
behaviour.  How would you feel about -SS in this context.

-apw